;;; 09-custom-packages-config --- Provide all the config that doesn't fit in use-package

;;; Commentary:

;;; Code:


;; Diminish
;; (diminish 'eldoc-mode)
;; (diminish 'subword-mode)

;; Dired
;; (require 'dired-x)
;; (setq-default dired-omit-files-p t)
;; (setq list-directory-brief-switches "-al"
;;       dired-omit-files (concat dired-omit-files "^\\.?#\\|\\.DS_Store"))

;; Set window location/size
(if (eq system-type 'darwin)
    (progn
      (set-frame-position (selected-frame) 811 816)
      (set-frame-height (selected-frame) 55)
      (set-frame-width (selected-frame) 220))
  (message "Don't configure location for other OSes"))
(if (eq system-type 'gnu/linux)
    (progn
      (set-frame-position (selected-frame) 800 400)
      (set-frame-size (selected-frame) 220 55)
      ;; (set-frame-height (selected-frame) 55)
      ;; (set-frame-width (selected-frame) 220)
      (message "gnu/linux detected - resizing")
      )
  (message "Don't configure location/size for other OSes"))


(provide '09-custom-packages-config)
;;; 09-custom-packages-config.el ends here
